#define CT_STATIC			0
#define CT_STRUCTURED_TEXT	13
#define ST_LEFT				0
#define ST_CENTER			2
#define ST_MULTI			16
#define Font				"TahomaB"
#define true				1
#define false				0

class RscText
{
	type = CT_STATIC;
	idc = -1;
	style = ST_LEFT;
	colorBackground[] = {0,0,0,0};
	colorText[] = {1,1,1,1};
	font = "TahomaB";
	sizeEx = 0.02;
	linespacing = 1;
	text = "";
	x = 0.5;
	y = 0.5;
	w = 0.5;
	h = 0.5;
};

class RscStructuredText
{
	access = ReadAndWrite;
	type = CT_STRUCTURED_TEXT;
	idc = -1;
	style = ST_CENTER + ST_MULTI;
	lineSpacing = 1;
	w = 0.1;
	h = 0.05;
	size = 0.02;
	colorBackground[] = {0,0,0,0};
	colorText[] = {0,0,0,0};
	text = "";
	font = "TahomaB";
	
	class Attributes
	{
		font = "TahomaB";
		color = "#ffffff";
		shadow = false;
	};
};

class RscTitles
{
	
	class EMSI_UAV_display
	{
		idd = 999;
		movingEnable = 1;
		// DURATION OF UAV DISPLAY IS 7 DAYS (7 days*24hours=168hours, 168hours*60minutes=10080minutes, 10080minutes*60seconds=604800seconds)
		duration =  604800;
		fadein = 0;
		fadeout = 0;
		name = "EMSI_UAV_display";
		onLoad = "(_this select 0) spawn EMSI_UAV_display";
		
	class controls
    {
	
// DISPALYED ACTIVE AND PASIVE DATA - START -----------------------------------------------------------------------------------------------------------

		// MAIN BOX FOR ACTIVE DATA
		class Text : RscStructuredText
		{
			idc = 666;
			x = 0.124;
			y = 0.13;
			w = 0.155;
			h = 0.139;
			text = "";
			colorBackground[] = {0,0,0,0.432};
       };
	   class GPS: RscText
       {
			x = 0.793;
            y = 0.73;
            w = 0.085;
            h = 0.041;
			text = "GPS ACTIVE";
            colorBackground[] = {0,0.66,0,0.432};
       };
	   class UHF: RscText
       {
			x = 0.793;
            y = 0.78;
            w = 0.085;
            h = 0.041;
			text = "UHF ACTIVE";
            colorBackground[] = {0,0.66,0,0.432};
       };
	   class VHF: RscText
       {
			x = 0.793;
            y = 0.83;
            w = 0.085;
            h = 0.041;
			text = "VHF ACTIVE";
            colorBackground[] = {0,0.66,0,0.432};
       };
	   class FLIR: RscText
       {	
            x = 0.12;
            y = 0.73;
            w = 0.107;
            h = 0.041;
            text = "FLIR AUTO ON";
            colorBackground[] = {0,0,0.66,0.432};
       };
	   class MTS: RscText
       {
            x = 0.12;
            y = 0.78;
            w = 0.107;
            h = 0.041;
            text = "MTS-A ACTIVE";
            colorBackground[] = {0,0,0.66,0.432};
       };
	   class TESAR: RscText
       {
            x = 0.12;
            y = 0.83;
            w = 0.107;
            h = 0.041;
            text = "TESAR ACTIVE";
            colorBackground[] = {0,0,0.66,0.432};
       };
	   
// DISPALYED ACTIVE AND PASIVE DATA - FINISH -----------------------------------------------------------------------------------------------------------

// DISPALYED EVALUATE LINES - START -----------------------------------------------------------------------------------------------------------------------
	   
	   //MAIN TOP LINE
	   	   class EvaluateMTL: RscText
         {
            x = 0.35;
            y = 0.121;
            w = 0.3;
            h = 0.005;
            text = "";
            colorBackground[] = {1,1,1,1};
         };
		 //LEFT BOLD LINE
		 class EvaluateLBL: RscText
         {
            x = 0.35;
            y = 0.121;
            w = 0.001;
            h = 0.03;
            text = "";
            colorBackground[] = {1,1,1,1};
         };
		 //MIDDLE BOLD LINE
		 class EvaluateMBL: RscText
         {
            x = 0.5;
            y = 0.121;
            w = 0.001;
            h = 0.03;
            text = "";
            colorBackground[] = {1,1,1,1};
         };
		 //RIGHT BOLD LINE
		 class EvaluateRBL: RscText
         {
            x = 0.6487;
            y = 0.121;
            w = 0.001;
            h = 0.03;
            text = "";
            colorBackground[] = {1,1,1,1};
         };
		 //LEFT TINY LINE - LEFT
		 class EvaluateLTLL: RscText
         {
            x = 0.3875;
            y = 0.121;
            w = 0.001;
            h = 0.015;
            text = "";
            colorBackground[] = {1,1,1,1};
         };
		 //MIDDLE TINY LINE - LEFT
		 class EvaluateMTLL: RscText
         {
            x = 0.425;
            y = 0.121;
            w = 0.001;
            h = 0.015;
            text = "";
            colorBackground[] = {1,1,1,1};
         };
		 //RIGHT TINY LINE - LEFT
		 class EvaluateRTLL: RscText
         {
            x = 0.4625;
            y = 0.121;
            w = 0.001;
            h = 0.015;
            text = "";
            colorBackground[] = {1,1,1,1};
         };
		 //LEFT TINY LINE - RIGHT
		 class EvaluateLTLR: RscText
         {
            x = 0.5375;
            y = 0.121;
            w = 0.001;
            h = 0.015;
            text = "";
            colorBackground[] = {1,1,1,1};
         };
		 //MIDDLE TINY LINE - RIGHT
		 class EvaluateMTLR: RscText
         {
            x = 0.575;
            y = 0.121;
            w = 0.001;
            h = 0.015;
            text = "";
            colorBackground[] = {1,1,1,1};
         };
		 //RIGHT TINY LINE - RIGHT
		 class EvaluateRTLR: RscText
         {
            x = 0.6125;
            y = 0.121;
            w = 0.001;
            h = 0.015;
            text = "";
            colorBackground[] = {1,1,1,1};
         };
		 //MAIN SIDE LINE
		 class EvaluateMSL: RscText
         {
            x = 0.879;
            y = 0.35;
            w = 0.005;
            h = 0.3;
            text = "";
            colorBackground[] = {1,1,1,1};
         };
		 //TOP BOLD LINE
		 class EvaluateTBL: RscText
         {
            x = 0.86;
            y = 0.35;
            w = 0.023;
            h = 0.001;
            text = "";
            colorBackground[] = {1,1,1,1};
         };
		 //MIDDLE BOLD LINE
		 class EvaluateMBLS: RscText
         {
            x = 0.86;
            y = 0.5;
            w = 0.023;
            h = 0.001;
            text = "";
            colorBackground[] = {1,1,1,1};
         };
		 //BOTTOM BOLD LINE
		 class EvaluateBBL: RscText
         {
            x = 0.86;
            y = 0.65;
            w = 0.023;
            h = 0.001;
            text = "";
            colorBackground[] = {1,1,1,1};
         };
		//TOP TINY LINE - TOP
		 class EvaluateTTLT: RscText
         {
            x = 0.871;
            y = 0.3875;
            w = 0.013;
            h = 0.001;
            text = "";
            colorBackground[] = {1,1,1,1};
         };
		 //MIDDLE TINY LINE - TOP
		 class EvaluateMTLT: RscText
         {
            x = 0.871;
            y = 0.425;
            w = 0.013;
            h = 0.001;
            text = "";
            colorBackground[] = {1,1,1,1};
         };
		 //BOTTOM BOLD LINE - TOP
		 class EvaluateBTLT: RscText
         {
            x = 0.871;
            y = 0.4625;
            w = 0.013;
            h = 0.001;
            text = "";
            colorBackground[] = {1,1,1,1};
         };
		//TOP TINY LINE - BOTTOM
		 class EvaluateTTLB: RscText
         {
            x = 0.871;
            y = 0.5375;
            w = 0.013;
            h = 0.001;
            text = "";
            colorBackground[] = {1,1,1,1};
         };
		 //MIDDLE TINY LINE - BOTTOM
		 class EvaluateMTLB: RscText
         {
            x = 0.871;
            y = 0.575;
            w = 0.013;
            h = 0.001;
            text = "";
            colorBackground[] = {1,1,1,1};
         };
		 //BOTTOM BOLD LINE - BOTTOM
		 class EvaluateBTLB: RscText
         {
            x = 0.871;
            y = 0.6125;
            w = 0.013;
            h = 0.001;
            text = "";
            colorBackground[] = {1,1,1,1};
         };
		   
// DISPALYED EVALUATE LINES - FINISH -----------------------------------------------------------------------------------------------------------------------

// DISPALYED CENTER CROSS - START -----------------------------------------------------------------------------------------------------------------------	   

	     class CrossHorizontal: RscText
		{
			x = 0.475;
			y = 0.5;
			w = 0.05;
			h = 0.00123;
			text = "";
			colorBackground[] = {1,1,1,1};
		};
		 class CrossVertical: RscText
		{
			x = 0.5;
			y = 0.475;
			w = 0.00123;
			h = 0.05;
			text = "";
			colorBackground[] = {1,1,1,1};
		};

// DISPALYED CENTER CROSS - FINISH -----------------------------------------------------------------------------------------------------------------------		
	   
// DISPALYED STANDARD CROSS LINES - START -------------------------------------------------------------------------------------------------------------

         class GV: RscText
         {
            x = 0.1;
            y = 0.1;
            w = 0.001;
            h = 0.8;
            text = "";
            colorBackground[] = {1,1,1,0.25};
         };
		 
         class GV2: GV {x = 0.2;};
         class GV3: GV {x = 0.3;};
         class GV4: GV {x = 0.4;};
         class GV5: GV {x = 0.5;};
         class GV6: GV {x = 0.6;};
         class GV7: GV {x = 0.7;};
         class GV8: GV {x = 0.8;};
         class GV9: GV {x = 0.9;}; 
         
		 class GH: RscText
         {
            x = 0.1;
            y = 0.1;
            w = 0.8;
            h = 0.001;
            text = "";
            colorBackground[] = {1,1,1,0.25};
         };
         
		 class GH2: GH {y = 0.2;};
		 class GH3: GH {y = 0.3;};
         class GH4: GH {y = 0.4;};
         class GH5: GH {y = 0.5;};
         class GH6: GH {y = 0.6;};
         class GH7: GH {y = 0.7;};
         class GH8: GH {y = 0.8;};
		 class GH9: GH {y = 0.9;};

         class LineTLH: RscText
         {
            x = 0.1;
            y = 0.1;
            w = 0.1;
            h = 0.005;
            text = "";
            colorBackground[] = {1,1,1,1};
         };
		 
         class LineTLV: RscText
         {
            x = 0.1;
            y = 0.1;
            w = 0.005;
            h = 0.1;
            text = "";
            colorBackground[] = {1,1,1,1};
         };

         class LineTRH: RscText
         {
            x = 0.8;
            y = 0.1;
            w = 0.1;
            h = 0.005;
            text = "";
            colorBackground[] = {1,1,1,1};
         };
		 
         class LineTRV: RscText
         {
            x = 0.9-0.005;
            y = 0.1;
            w = 0.005;
            h = 0.1;
            text = "";
            colorBackground[] = {1,1,1,1};
         };

         class LineBLH: RscText
         {
            x = 0.1;
            y = 0.9-0.005;
            w = 0.1;
            h = 0.005;
            text = "";
            colorBackground[] = {1,1,1,1};
         };
		 
         class LineBLV: RscText
         {
            x = 0.1;
            y = 0.8;
            w = 0.005;
            h = 0.1;
            text = "";
            colorBackground[] = {1,1,1,1};
         };

         class LineBRH: RscText
         {
			x = 0.8;
            y = 0.9-0.005;
            w = 0.1;
            h = 0.005;
			text = "";
            colorBackground[] = {1,1,1,1};
         };
		 
         class LineBRV: RscText
         {
            x = 0.9-0.005;
            y = 0.8;
            w = 0.005;
            h = 0.1;
            text = "";
            colorBackground[] = {1,1,1,1};
         };
		 
// DISPALYED STANDARD CROSS LINES - FINISH -------------------------------------------------------------------------------------------------------------		 
		 
      };
	  
   };
   
};
