// Original code: SPON_directionName
// Author: Bil Bas (bil dot bagpuss at gmail dot com / Spooner at OFPEC)
//         Based on an idea by [seven]

private ["_angle", "_directions", "_index"];

_angle = _this select 0;
_numDirections = _this select 1;
_abbreviated = _this select 2;

if ((typeName _angle) == "ARRAY") then
{
	_angle = (round (((_angle select 0) atan2 (_angle select 1)) + 360)) mod 360;
}
else{if (_angle < 0) then
{
	_angle = 360 - ((-angle) mod 360);
}
else
{
	_angle = _angle mod 360;
}; };

if (_abbreviated) then
{
	_directions =
	[
		"N",  "NbE",  "NNE", "NEbN",
		"NE", "NEbE", "ENE", "EbN",
		"E",  "EbS",  "ESE", "SEbE",
		"SE", "SEbS", "SSE", "SbE",
		"S",  "SbW",  "SSW", "SWbS",
		"SW", "SWbW", "WSW", "WbS",
		"W",  "WbN",  "WNW", "NWbW",
		"NW", "NWbN", "NNW", "NbW"
	];
}
else
{
	_directions =
	[
		"North",      "North by East",       "North North-East", "North-East by North",
		"North-East", "North-East by East",  "East North-East",  "East by North",
		"East",       "East by South",       "East South-East",  "South-East by Eeast",
		"South-East", "South-East by South", "South South-East", "South by East",
		"South",      "South by West",       "South South-West", "South-West by South",
		"South-West", "South-West by West",  "West South-West",  "West by South",
		"West",       "West by North",       "West North-West",  "North-West by West",
		"North-West", "North-West by North", "North North-West", "North by West"
	];
};

_index = (round(_angle * _numDirections / 360) * (32 / _numDirections)) mod 32;

_directions select _index;